Loading...
Searching...
No Matches
nd6.h File Reference
`#include "lwip/arch.h"`
`#include "lwip/ip6_addr.h"`
`#include "lwip/prot/ip6.h"`
`#include "arch/bpstruct.h"`
`#include "arch/epstruct.h"`

## Data Structures

struct | ns_header
struct | na_header
struct | rs_header
struct | redirect_header

## Macros

#define | ND6_RA_FLAG_MANAGED_ADDR_CONFIG (0x80)
#define | ND6_OPTION_TYPE_SOURCE_LLADDR (0x01)
#define | ND6_OPTION_TYPE_PREFIX_INFO (0x03)
#define | ND6_OPTION_TYPE_REDIR_HDR (0x04)
#define | ND6_OPTION_TYPE_MTU (0x05)
#define | ND6_OPTION_TYPE_ROUTE_INFO (24)
#define | ND6_OPTION_TYPE_RDNSS (25)

## Detailed Description

ND6 protocol definitions

## Macro Definition Documentation

## ND6_OPTION_TYPE_MTU

#define ND6_OPTION_TYPE_MTU (0x05)

MTU option.

## ND6_OPTION_TYPE_PREFIX_INFO

#define ND6_OPTION_TYPE_PREFIX_INFO (0x03)

Prefix information option.

## ND6_OPTION_TYPE_RDNSS

#define ND6_OPTION_TYPE_RDNSS (25)

Recursive DNS Server Option.

## ND6_OPTION_TYPE_REDIR_HDR

#define ND6_OPTION_TYPE_REDIR_HDR (0x04)

Redirected header option.

## ND6_OPTION_TYPE_ROUTE_INFO

#define ND6_OPTION_TYPE_ROUTE_INFO (24)

Route information option.

## ND6_OPTION_TYPE_SOURCE_LLADDR

#define ND6_OPTION_TYPE_SOURCE_LLADDR (0x01)

Link-layer address option.

## ND6_RA_FLAG_MANAGED_ADDR_CONFIG

#define ND6_RA_FLAG_MANAGED_ADDR_CONFIG (0x80)

Router advertisement message header.